//------------------------------------------------------------------
// INCLUDED FILE.
//------------------------------------------------------------------
// This contents functions for message boxes.
//------------------------------------------------------------------

/******************* EXTERNAL *******************************************************/

ATOL_ATOM WINAPI box(ATOL_INTERFACE IAtol, ATOL_LIST args, UINT style) // message box
// gui.*box( +Text )
{
	check_args(IAtol, args, 1, "msgbox");
	register char * p = (char *) f(get_context)("atol_gui:mbt");
	MessageBox(GetCurrentWnd(IAtol), f(list_item)(args), (p?p:""), style);
	return f(list_item_atom)(args);
}

ATOL_API(ibox)		// message box
{
	return box(IAtol, args, MB_ICONINFORMATION | MB_OK);
}

ATOL_API(wbox)		// message box
{
	return box(IAtol, args, MB_ICONWARNING | MB_OK);
}

ATOL_API(ebox)		// message box
{
	return box(IAtol, args, MB_ICONERROR | MB_OK | MB_TOPMOST);
}

ATOL_API(box_t)		// msgbox title.
// gui.msgbox.title( +DefaultTitle )
// Set default title of message box.
{
	check_args(IAtol, args, 1, "msgbox.title");
	f(set_context)("atol_gui:mbt", f(list_item)(args));
	return f(list_item_atom)(args);
}
