//------------------------------------------------------------------
// INCLUDED FILE.
//------------------------------------------------------------------
// This contents common DLL functions and data.
//------------------------------------------------------------------

BOOL WINAPI DllMain(HINSTANCE, DWORD, LPVOID)
{
	return TRUE;
}

const char * ExportList [] =	// EXPORT LIST
{
	// WINDOW:

	"gui.window",			"win",
	
	// COMMON:

	"gui.run",				"run",
	"gui.end",				"end",
	
	// LAYOUT:
	
	"gui.width",			"wid",
	"gui.height",			"hei",
	"gui.x",				"posx",
	"gui.y",				"posy",
	
	// MSGBOXES:
	
	"gui.infobox",			"ibox",
	"gui.errbox",			"ebox",
	"gui.wrnbox",			"wbox",
	"gui.msgbox.title",		"box_t",

	// CONTROLS:

	"gui.button",			"btn",
	"gui.text",				"txt",
	"gui.edit",				"edt",

	// WORK WITH WNDS:

	"gui.caption",			"capt", // get window text
	"gui.close",			"cl",

	NULL
};

/******************* EXTERNAL *******************************************************/

const char ** WINAPI atol_lib_install(ATOL_INTERFACE IAtol)
{
	if (lstrcmp(f(version)(), "0.9") < 0) f(puts)("atol_gui: need atol version 0.9 or above");
	return ExportList;
}
