//------------------------------------------------------------------
// INCLUDED FILE.
//------------------------------------------------------------------
// This contents functions to support varied standard controls.
//------------------------------------------------------------------

/******************* EXTERNAL *******************************************************/

ATOL_API(btn)		// make a button.
// gui.button( +Name +Caption )
{
	check_args(IAtol, args, 2, "button");
	register HWND hwnd = AddSingleLineControl(IAtol, "BUTTON",
							f(list_get)(args, 1),
							BS_TEXT | BS_PUSHBUTTON | WS_TABSTOP);
	SetWndName(IAtol, hwnd, f(list_item)(args) );
	return f(atomi)((int) hwnd);
}

ATOL_API(txt)		// make a button.
// gui.text( [+Name] +Caption )
{
	int n = check_args(IAtol, args, 1, 2, "text");
	register HWND hwnd = AddSingleLineControl(IAtol, "STATIC",
							f(list_get)(args, ((n == 1)?0:1)),
							SS_NOTIFY | SS_LEFT);
	if (n == 1) SetWndName(IAtol, hwnd, f(atom_name)(f(atom)("text")) );
	else SetWndName(IAtol, hwnd, f(list_item)(args) );

	return f(atomi)((int) hwnd);
}

ATOL_API(edt)		// make a button.
// gui.edit( +Name [+Caption] )
{
	int n = check_args(IAtol, args, 1, 2, "edit");
	int width = GetWidth(IAtol);
	register HWND hwnd = AddCharSizedControl(IAtol, "EDIT",
							(n > 1)?f(list_get)(args, 1):"",
							ES_AUTOHSCROLL | ES_LEFT | WS_TABSTOP,
							width?width:16, 1, WS_EX_CLIENTEDGE);
	SetWndName(IAtol, hwnd, f(list_item)(args) );
	return f(atomi)((int) hwnd);
}

