//------------------------------------------------------------------
// INCLUDED FILE.
//------------------------------------------------------------------
// This contents utility functions.
//------------------------------------------------------------------

void __fastcall check_args(ATOL_INTERFACE IAtol, ATOL_LIST args, int n, const char *name)
{
	if (n != f(list_length)(args))
	{
		char buf [256];
		wsprintf(buf, "gui.%s: need %i arg(s)", name, n);
		f(error)(TRUE, buf);
	}
}

ATOL_STRING __fastcall CallHook(ATOL_INTERFACE IAtol, HWND hWnd, char * Func) // CALL ATOL HOOK.
{
	char func [256];
	register HWND hParent = GetParent(hWnd);
	if (hParent) wsprintf(func, "%s.%s.on_%s", GetWndName(hParent), GetWndName(hWnd), Func);
	else wsprintf(func, "%s.on_%s", GetWndName(hWnd), Func);
	return f(exec)(func, NULL);
}

int __fastcall check_args(ATOL_INTERFACE IAtol, ATOL_LIST args, int n0, int n1, const char *name)
{
	register int n = f(list_length)(args);
	if (n != n0 && n != n1)
	{
		char buf [256];
		wsprintf(buf, "gui.%s: need %i or %i arg(s)", name, n0, n1);
		f(error)(TRUE, buf);
	}
	return n;
}

HWND __fastcall GetCurrentWnd(ATOL_INTERFACE IAtol)
{
	return (HWND) f(get_context)("atol_gui:wnd");
}
